#ifndef ARBUTILS_DEFINES_HPP
#define ARBUTILS_DEFINES_HPP
#include <cstdint>

using u8 = uint8_t;
using u16 = uint16_t;
using u32 = uint32_t;
using u64 = uint64_t;

using i8 = int8_t;
using i16 = int16_t;
using i32 = int32_t;
using i64 = int64_t;

using f32 = float;
using f64 = double;

#if defined(__clang__)
#define non_null _Nonnull
#else
#define non_null
#endif

#if defined(__clang__)
#define nullable _Nullable
#else
#define nullable
#endif

#endif // ARBUTILS_DEFINES_HPP
