#ifndef ARBUTILS_MISC_HPP
#define ARBUTILS_MISC_HPP

#define NO_COPY_OR_MOVE(type)                                                                                          \
    type(const type&) = delete;                                                                                        \
    type(type&&) = delete;                                                                                             \
    type& operator=(const type&) = delete;                                                                             \
    type& operator=(type&&) = delete;

#endif // ARBUTILS_MISC_HPP
